Skip to content

Update Profile Settings

PUT
/api/v1/profile-settings/{profile_id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/profile-settings/{profile_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"bitninja_active": false,
"default_ssh_keys_enabled": [
12345
],
"password_authentication": true,
"cdp_backup_active": false,
"whatsapp_notifications": false
}'
profile_id
required
integer

Profile ID

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
bitninja_active
boolean

Example

false
default_ssh_keys_enabled

A list of SSH key IDs to be enabled by default for server access. To disable all default SSH keys, send an empty list: [].

Array<integer>

Example

[
12345
]
password_authentication
boolean

Example

true
cdp_backup_active
boolean

Example

false
whatsapp_notifications
boolean

Example

false

Settings have been updated successfully.

Media typeapplication/json
object
code
integer
data
string
errors
object
key
additional properties
message
string

Example

{
"code": 200,
"data": "Settings have been updated successfully.",
"errors": {},
"message": "Success"
}